Last modified: 2013-05-10 16:03:36 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27480 - Fix page_props and iwlinks: run refreshLinks.php
Fix page_props and iwlinks: run refreshLinks.php
Status: RESOLVED WONTFIX
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Low enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
: shell
: 21962 27553 (view as bug list)
Depends on: 28628
Blocks: 16660 29782
  Show dependency treegraph
 
Reported: 2011-02-16 23:56 UTC by Brad Jorsch
Modified: 2013-05-10 16:03 UTC (History)
11 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Brad Jorsch 2011-02-16 23:56:47 UTC
r69235 changed the code to add a number of new entries to page_props, but page_props won't actually be updated until each affected page is re-parsed (e.g. with a null edit). A maintenance script to do whatever needs to be done to cause that to happen more quickly would be nice, per discussion in #wikimedia-tech; we have pages on enwiki that haven't been edited for 4 years (see [[Wikipedia:Dusty articles]]).
Comment 1 Sam Reed (reedy) 2011-02-17 00:10:56 UTC
Removing shell, as it needs to be written first.

I'm guessing all pages don't need null editing (ie linkupdates), so maybe there is some specific categories we maybe just need to run it over..?
Comment 2 Bawolff (Brian Wolff) 2011-02-17 01:50:23 UTC
I think it'd need to be run on all of them (so just use refreshLinks.php ?). Things like displaytitle and defaultsort are stored in pageprops now, which can also appear in transcluded templates, so there's really no way to know what pages need to be purged.
Comment 3 Brad Jorsch 2011-02-17 13:27:19 UTC
(In reply to comment #1)
> Removing shell, as it needs to be written first.

FWIW, I was specifically instructed to tag it "shell" on IRC.

> I'm guessing all pages don't need null editing (ie linkupdates), so maybe there
> is some specific categories we maybe just need to run it over..?

Whichever pages are affected by the changes in r69235, i.e. those using {{DEFAULTSORT}}, {{DISPLAYTITLE}}, or double-underscores.
Comment 4 Sam Reed (reedy) 2011-02-17 18:07:41 UTC
Don't think refreshLinks will actually fix the issue at hand here...

Brad, shell is sort of right, but until the script is written (if a new one has to be written), there isn't much point tagging it as such :)

If refreshLinks is indeed what needs running, then I apologise for wrongly removing it. Title should be updated as such, and +shell'd again
Comment 5 Derk-Jan Hartman 2011-02-19 18:59:46 UTC
*** Bug 27553 has been marked as a duplicate of this bug. ***
Comment 6 Bryan Tong Minh 2011-02-26 12:32:45 UTC
refreshLinks.php will work, it does a full re-parse and LinksUpdate.
Comment 7 Sam Reed (reedy) 2011-02-26 12:56:58 UTC
I'm sure nikerabbit couldn't get this to fix some missing category members. Oh well
Comment 8 Bryan Tong Minh 2011-03-02 21:48:21 UTC
Moving to component Wikimedia, removing blocker for 1.17wmf1
Comment 9 Aaron Schulz 2011-08-10 18:42:39 UTC
(In reply to comment #6)
> refreshLinks.php will work, it does a full re-parse and LinksUpdate.

Won't that take ages to run?
Comment 10 Bryan Tong Minh 2011-08-12 12:55:20 UTC
(In reply to comment #9)
> (In reply to comment #6)
> > refreshLinks.php will work, it does a full re-parse and LinksUpdate.
> 
> Won't that take ages to run?

Yes.
Comment 11 Sam Reed (reedy) 2011-09-14 21:12:54 UTC
*** Bug 21962 has been marked as a duplicate of this bug. ***
Comment 12 Nemo 2012-01-27 10:33:37 UTC

*** This bug has been marked as a duplicate of bug 16112 ***
Comment 13 uv.wiki 2012-01-27 19:44:09 UTC
Not a duplicate of bug 16112, because bug 16112 is just about running "refreshLinks.php --dfn-only", which will not update page_props as described in the above comments and will not update "Categoria:Pages with broken file links", to name just two examples why it would be useful to run refreshlinks.php once.
Comment 14 Sam Reed (reedy) 2012-04-17 16:21:35 UTC
*** Bug 28628 has been marked as a duplicate of this bug. ***
Comment 15 Daniel Zahn 2012-04-24 12:15:08 UTC
running it without --dfn-only would take _years_ on en.wp i am being told....
Comment 16 Nemo 2012-11-16 08:17:59 UTC
(In reply to comment #15)
> running it without --dfn-only would take _years_ on en.wp i am being told....

Yes, unlikely to happen. Clarifying scope and adding as blockers requests for creation of efficient scripts which do only what needed; note that bug 28628 comment 2 contains a proposed solution.
Comment 17 db [inactive,noenotif] 2013-05-10 16:03:36 UTC
The change was done before 2 years. Since that many pages would changed or reparsed by templates changes, so the page_props and iwlinks table should filled with most of the pages on a wiki. Nobody would write a script and run it on enwiki, due to the long run time, so this gets WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links